<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/posterCardView"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/iv_poster"
        style="@style/frescoStyle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="4dp"
        app:viewAspectRatio="1.78" />

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_poster"
        tools:text="少年三国志少年三国志少年三国志少年三国志少年三国志少年三国志少年三国志少年三国志" />

    <Space
        android:id="@+id/space"
        android:layout_width="0dp"
        android:layout_height="18dp"
        android:layout_marginTop="8dp"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <TextView
        android:id="@+id/tv_label"
        style="@style/TextAnnotation1"
        android:layout_width="wrap_content"
        android:layout_height="14dp"
        android:background="@drawable/bg_single_game_card_recharge"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingHorizontal="2dp"
        android:text="@string/recharge"
        android:textColor="@color/text_price"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/space" />

    <TextView
        android:id="@+id/tv_price_unit"
        style="@style/TextLabel1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:text="¥"
        app:layout_goneMarginStart="0dp"
        android:textColor="@color/text_price"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_price"
        app:layout_constraintStart_toEndOf="@id/tv_label" />

    <TextView
        android:id="@+id/tv_price"
        style="@style/TextBody2B"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="2dp"
        android:textColor="@color/text_price"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintStart_toEndOf="@id/tv_price_unit"
        app:layout_constraintTop_toTopOf="@id/space"
        tools:text="388.8" />

    <TextView
        android:id="@+id/tv_price_original"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:textColor="@color/text_tertiary"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_price"
        app:layout_constraintStart_toEndOf="@id/tv_price"
        tools:text="¥648" />

    <TextView
        android:id="@+id/tv_welfare_copy"
        style="@style/TextLabel1"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:layout_marginStart="4dp"
        android:background="@drawable/bg_welfare_card_copy"
        android:includeFontPadding="false"
        android:paddingHorizontal="4dp"
        android:gravity="center"
        android:textColor="@color/text_aw_primary"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintStart_toEndOf="@id/tv_price_original"
        app:layout_constraintTop_toTopOf="@id/space"
        tools:text="立省421.2元" />

</androidx.constraintlayout.widget.ConstraintLayout>